












                                QUICKLETTER
                        LETTER DEVELOPMENT FACILITY
                                Version 2.1








                                               Timothy Gregory
                                               Custom Computing Services
                                               February, 1989








































                                QUICKLETTER
                                QUICKLETTER


Introduction
Introduction

QUICKLETTER is a fast and efficient tool enabling custom letter creation
QUICKLETTER
with variable input elements to facilitate frequent mailings to a small
group of people.  It was designed for self-employed or independent
professionals and small business owners who have a frequent need to send a
small group of prospective clients a form letter.  Of course, a
sophisticated word processing  or Database product would facilitate this
need but would be an excessive and expensive solution to a small problem.
With QUICKLETTER, form letters can be developed and accessed to create
fast, professional looking letters with a personal touch.

QUICKLETTER is a menu driven system with simple features to meet the
QUICKLETTER
needs of generating a quick form letter with variable input (i.e. the
customers name, address, etc).  It includes a text editor and automatic
letter generation facility soliciting the variable information at letter
composition time.  At the completion of the composition process, the
formatted letter is optionally displayed on the screen for inspection
prior to printing, or can be directly printed without previewing.  An
option to print letter forms is also available from the Generate Letter
Sub-Menu.  

QUICKLETTER will run on IBM and most compatible MS-DOS personal
QUICKLETTER
computers equipped with a minimum of 256K RAM, one floppy drive and a
Monochrome, CGA, EGA or VGA monitor.  A printer is not required but is
recommended.  QUICKLETTER is compatible with any printer that can emulate
IBM or EPSON printers. 

QUICKLETTER will only work with ASCII Text files, not word processing
QUICKLETTER
files with special characters imbedded in them (e.g. MultiMate DOC files
and Wordstar files are NOT compatible with QUICKLETTER unless converted
                       NOT
to text files).  It is recommended that the text editor in QUICKLETTER be
used to create the letter forms to avoid printing problems.  

Note:    If another text editor is used be sure to name the files with a
         .QLT extension or QUICKLETTER will not recognize them.




























GETTING STARTED
GETTING STARTED


BACKUP YOUR SOFTWARE before attempting to use QUICKLETTER.  Hard disk
BACKUP YOUR SOFTWARE
drive users should make a directory called QL and copy the entire diskette
into this directory.  Store the original diskette in a safe place as a
backup copy.  Single Floppy users should make a backup copy of the
software using the MS-DOS DISKCOPY utility and store the original diskette
in a safe place.  Dual Floppy users should also use the MS-DOS DISKCOPY
utility.  


    TO MAKE A BACKUP COPY OF QUICKLETTER:
    TO MAKE A BACKUP COPY OF QUICKLETTER:

         1. Boot your Personal Computer with your DOS diskette

         2. Key DISKCOPY A: A: or DISKCOPY A: B: (if you have a dual
            floppy system)

         3. When instructed to "insert SOURCE diskette in drive A:",
            remove your DOS diskette and insert your QUICKLETTER diskette
            in drive A:  

         4. Follow the instructions until the process is complete


    Note: Refer to your DOS manual if you have problems with the backup
          procedure.  Lookup DISKCOPY in the index.



USING QUICKLETTER
USING QUICKLETTER

QUICKLETTER does not require a sophisticated installation procedure
QUICKLETTER
before you can use it.  Follow the below procedure based on your system
configuration to start QUICKLETTER.

    FLOPPY DRIVE SYSTEMS:
    FLOPPY DRIVE SYSTEMS:

         1. Boot your Personal Computer with your DOS diskette

         2. Remove your DOS diskette and insert your QUICKLETTER diskette
            in drive A:  

         3. Key QL and press ENTER


The QUICKLETTER main menu will appear in a few seconds.



    HARD DISK SYSTEMS:
    HARD DISK SYSTEMS:

         1. Be sure to CHDIR to the QL directory (or establish a path to
            the directory containing your QUICKLETTER software)

         2. Key QL and press ENTER


The QUICKLETTER main menu will appear almost instantaneously.







QUICKLETTER MENUS
QUICKLETTER MENUS

The following section is organized by screen presentation as seen while
using QUICKLETTER.  Each menu is presented here and is followed by a brief
description of what each selection will accomplish for you.


                               THE MAIN MENU
                               THE MAIN MENU



                               QUICK LETTER
                          CUSTOM LETTER GENERATOR
                                 MAIN MENU




                   1. Create or Update Letter(s)
                   2. Generate Letter(s)
                   3. Print Letter Form
                   4. Change Quickletter Setup
                   5. Exit



                   Enter Selection: ?


The Main Menu of QUICKLETTER offers five selections:


Selection 1 will display a menu offering selections to create a new
Selection 1
letter and update an existing letter.

Selection 2 will display a menu of all the existing form letters
Selection 2
available for composition, display and printing. 
  
Selection 3 will display a menu of all the existing form letters
Selection 3
available for print to the screen or printer. This allows for review of a
letter form's content when unsure of which letter to generate.

Selection 4 will display a menu allowing for change of setup
Selection 4
information.

Selection 5 will EXIT the program.
Selection 5





















                   THE LETTER FORM MAINTENANCE SUB-MENU
                   THE LETTER FORM MAINTENANCE SUB-MENU



                               QUICK LETTER
                          CUSTOM LETTER GENERATOR
                          LETTER MAINTENANCE MENU





                   1. Create A New Letter
                   2. Update An Existing Letter
                   3. Return To Main Menu


                   Enter Selection: ?


The Letter Maintenance sub-Menu of QUICKLETTER offers three selections:


Selection 1 will display a clear screen to allow for the keying of a new
Selection 1
letter.  Text and variable keywords for a new letter are developed with
this screen.

Selection 2 will provide a selection of all existing letters available
Selection 2
for update.  

Selection 3 will return to the Main Menu
Selection 3




































                       THE CREATE NEW LETTER SCREEN
                       THE CREATE NEW LETTER SCREEN





The Create New Letter screen is blank except for the last line where
control information is displayed for letter creation assistance.  The
actual text and body of the form letter is keyed onto this screen.  


The following control key information is provided to assist in the editing
of the letter:

Function Key Information:
_________________________

    ESC       Quit text letter entry.  A prompt requesting whether to
              Save or Exit without saving the current text will be
              displayed.  

    F1        Displays a HELP screen.  This key may be pressed at anytime
              during the letter creation process without fear of losing
              the data keyed or position in the text.  Simply press the
              ENTER key to return to the edit process. 

    F10       Save and Return to Letter Create sub-menu.  The letter will
              be saved and you will return to the Letter Create sub-menu.
              No filename is requested since QUICKLETTER will generate the
              next filename for new letters and use the existing filename
              when saving existing letters.


Edit Key Information:
_____________________

    CTRL-B    Toggle bold print.  Key a CTRL-B before and after the text
              to print in bold.    

    Alt-B     Define beginning/End of block of data

    Alt-C     Clears all lines

    Alt-D     Deletes current line where cursor is located

    Alt-E     Erase defined block of data

    Alt-F     Find specified text

    Alt-I     Toggle auto-indent

    Alt-P     Paste (copies) defined block of data   

    Alt-U     Undefine a block of data

    Cntl-End  Delete from cursor to end of line

    Ins       Toggle Insert Mode

    Enter     If pressed in Insert Mode, line will be split at cursor
              position.  Otherwise, moves cursor to next line inserting a
              blank line.








    Del       Delete character.  If pressed while at end of line, next
              line is brought up 1 line to cursor position 

    Cursor Movement keys are the arrow keys.  Use these keys to move
    cursor without affecting the text.


    Home      Move cursor to beginning of letter

    End       Move cursor to end of letter

    Ctrl- (any arrow key) - move cursor same as without Ctrl but moves 
    one word at a time.



IMPORTANT NOTE:  When creating a new letter, the first line is reserved
IMPORTANT NOTE:  When creating a new letter, the first line is reserved
for the letter title.  Enter a 40 character or less letter title on line 1
for the letter title.  Enter a 40 character or less letter title on line 1
and press enter before entering letter content.  The first line of all
and press enter before entering letter content.  The first line of all
letters is ignored when composing a letter for generation.
letters is ignored when composing a letter for generation.














































ENTERING LETTER TEXT
ENTERING LETTER TEXT

The & followed by a variable name and another & indicates to
    &                                         &
QUICKLETTER that this is a variable item and it should not be included in
the letter at composition time, but rather be replaced by the entered
information.  QUICKLETTER will scan the letter form selected at generation
time and prompt for the entry of the replacement information (See Letter
Generation in next section).  Every place that a variable item occurs must
begin with & and end with & (e.g. Dear &NAME& indicates to QUICKLETTER
that the NAME will be entered at letter generation time.  A sample form
letter follows:


&NAME&
&STREET&
&CITY STATE ZIP&

Dear &NAME&:

Congratulations on your purchase of QUICKLETTER.  I know you will find
this package an invaluable tool in your profession.  If I can be of any
assistance, please do not hesitate to contact me at my office.


                                      Sincerely,


                                      Timothy Gregory

                                      President, Custom Computing Services




In the above example NAME, CITY, STATE and ZIP are the variable items that
will be prompted for at letter composition time.  NAME will only be
requested once and be placed in every occurrence automatically.






























                        THE UPDATE LETTER SUB-MENU
                        THE UPDATE LETTER SUB-MENU


                               QUICK LETTER
                          CUSTOM LETTER GENERATOR
                               UPDATE LETTER



                     EXISTING LETTERS
                     ________________

                     1. Test Letter #1 
                     2. Test Letter #2
                     3. Test Letter #3
                     4. Return to Menu

                     Enter Selection: ?



All of the form letters previously created will be listed when the Update
Letter screen is displayed.  These are the titles contained on the first
line when the letter was created (See IMPORTANT NOTE in Create a New
Letter Section of manual above).  To modify a letter, enter it's
corresponding number and press ENTER.


After making a selection, QUICKLETTER will present the text for review and
modification (remember the first line is reserved for the letter's
title).  The control keys described in the Create New Letter Section also
apply when using the modification feature.




































                       THE GENERATE LETTER SUB-MENU
                       THE GENERATE LETTER SUB-MENU


                               QUICK LETTER
                          CUSTOM LETTER GENERATOR
                              COMPOSE LETTER



                     LETTERS AVAILABLE FOR COMPOSITION
                     _________________________________

                     1. Test Letter #1 
                     2. Test Letter #2
                     3. Test Letter #3
                     4. Return to Menu


                     Enter Selection: ?



All of the form letters previously created will be listed when the Update
Letter screen is displayed.  These are the titles contained on the first
line when the letter was created (See IMPORTANT NOTE in Create a New
Letter Section of manual above).  To generate a letter, enter it's
corresponding number and press ENTER.

After making a selection, QUICKLETTER will review the file for variable
items (variable names with & before and & after them) and request the
actual text to replace them with in the composed letter.  Simply enter the
replacement data at each prompt and press ENTER.   


At the completion of the composition process, the following message and
options prompt will appear:


    Letter Has Been Built With The Variables You Entered
    Letter Has Been Built With The Variables You Entered


    Select function and press Enter: (D)isplay  (P)rint  (Q)uit?
    Select function and press Enter: (D)isplay  (P)rint  (Q)uit?


Key D and press ENTER to display the letter on the screen (an
    D
opportunity to print after previewing is available)

Key P and press ENTER to print the letter on your printer (an
    P
opportunity to prepare your printer is offered after this selection)

Key Q and press ENTER to return to the generation sub-menu
    Q


NOTE: An opportunity to enter the lines per inch and number of printed
NOTE:
copies desired is presented after selection to Print the letter.













                      THE PRINT LETTER FORM SUB-MENU
                      THE PRINT LETTER FORM SUB-MENU


                               QUICK LETTER
                          CUSTOM LETTER GENERATOR
                             PRINT LETTER FORM



                     LETTER FORMS AVAILABLE FOR PRINT
                     ________________________________

                     1. Test Letter #1 
                     2. Test Letter #2
                     3. Test Letter #3
                     4. Return to Menu


                     Enter Selection: ?


All of the form letters previously created will be listed when the Update
Letter screen is displayed.  These are the titles contained on the first
line when the letter was created (See IMPORTANT NOTE in Create a New
Letter Section of manual above).  To print a letter form, enter it's
corresponding number and press ENTER.


After making a selection, QUICKLETTER will present options allowing
selection to display on the screen or print to the printer.  This feature
is useful when many letters have been created and uncertainty of which
title is the one desired to generate exists.


NOTE: The actual Variable Prompt names in the letter will be printed
NOTE:
when this option is selected.  This is to provide information about what
values will be prompted for during letter composition and generation.
































                      THE QUICKLETTER SETUP SUB-MENU
                      THE QUICKLETTER SETUP SUB-MENU


                               QUICK LETTER
                          CUSTOM LETTER GENERATOR
                                SETUP MENU


The current display setup is:                    XXXXXXXXXX

Would you like to change this (Y/N)? 



When the Setup Menu is initially displayed, the current setup information
for the video display is provided.  The XXXXXXXXXX will either be Color or
Monochrome, depending on what the current setup file contains.  Entering a
"Y" when answering the question will swap to the other.  

After responding to the question, the setup file is updated and your video
modifications will be immediately activated.













































BACKING UP YOUR LETTER FORMS
BACKING UP YOUR LETTER FORMS

A backup of the letter forms should be taken anytime a change is made or a
new one has been created.  Use of the DOS COPY or XCOPY command is
sufficient to complete this task.  Please note that all QUICKLETTER forms
are created with a file extension of: QLT. and their backup should be
created with the same file name with an extension of: QLB.  This will make
the backup and restoration process simple and easy to remember.


  TO BACKUP YOUR LETTER FORMS:
  TO BACKUP YOUR LETTER FORMS:


    SINGLE FLOPPY DRIVE SYSTEMS:
    SINGLE FLOPPY DRIVE SYSTEMS:

         1. Boot your Personal Computer with your DOS diskette
            (If you haven't already done so).

         2. Remove your DOS diskette and insert your QUICKLETTER diskette
            (or the diskette containing your letter forms) in drive A:  

         3. Key "Copy *.qlt *.qlb" and press ENTER


    DUAL FLOPPY DRIVE SYSTEMS:
    DUAL FLOPPY DRIVE SYSTEMS:

         1. Boot your Personal Computer with your DOS diskette
            (If you haven't already done so).

         2. Remove your DOS diskette and insert your QUICKLETTER diskette
            (or the diskette containing your letter forms) in drive A:  

         3. Insert your backup letter form diskette in drive B:

         4. Key "Copy A:\*.qlt B:\*.qlb" and press ENTER




    HARD DISK SYSTEMS:
    HARD DISK SYSTEMS:

         1. Be sure to CHDIR to the QL directory (or establish a path to
            the directory containing your QUICKLETTER letter Forms)

         2. Insert your backup letter form diskette in drive A:


         3. Key "Copy *.qlt A:\*.qlb" and press ENTER



The backup procedure will begin.  Follow the instructions and wait for the
process to complete.  At the completion of the process, a backup of all
letter forms will have been created.













RESTORING YOUR LETTER FORMS
RESTORING YOUR LETTER FORMS

If a letter form has been accidently deleted, erased or updated
incorrectly and a backup exists, then the letter form may be restored.  

  TO RESTORE LETTER FORMS:
  TO RESTORE LETTER FORMS:

    SINGLE FLOPPY DRIVE SYSTEMS:
    SINGLE FLOPPY DRIVE SYSTEMS:

         1. Boot your Personal Computer with your DOS diskette
            (If you haven't already done so).

         2. Remove your DOS diskette and insert your QUICKLETTER diskette
            (or the diskette containing your BACKUP letter forms) in drive
            A:  

         3. Key "Copy xxxxxxxx.QLB *.QLT" (where xxxxxxxx is the filename
            of the letter to restore) and press ENTER
            (Note: To restore them all, use "*" instead of the filename)

    DUAL FLOPPY DRIVE SYSTEMS:
    DUAL FLOPPY DRIVE SYSTEMS:

         1. Boot your Personal Computer with your DOS diskette
            (If you haven't already done so).

         2. Remove your DOS diskette and insert your QUICKLETTER diskette
            (or the diskette containing your letter forms) in drive A:  

         3. Insert your backup Letter Forms diskette in drive B:

         4. Key "Copy B:\xxxxxxxx.QLB A:\*.QLT" (where xxxxxxxx is the
            filename of the letter to restore) and press ENTER
            (Note: To restore them all, use "*" instead of the filename)

    HARD DISK SYSTEMS:
    HARD DISK SYSTEMS:

         1. Be sure to CHDIR to the QL directory (or establish a path to
            the directory containing your QUICKLETTER letter Forms)

         2. Insert your backup Letter Forms diskette in drive A:

         3. Key "COPY A:\xxxxxxxx.QLB *.QLT" (where xxxxxxxx is the
            filename of the letter to restore) and press ENTER
            (Note: To restore them all, use "*" instead of the filename)


The restore procedure will begin.  Follow the instructions and wait for
the process to complete.  At the completion of the process, a backup of
all letter forms will have been created.


PROBLEMS
PROBLEMS

If you experience an error or problem while using QUICKLETTER and are
returned to the DOS prompt simply enter QL and press ENTER to restart the
software.















































































         ----------------end-of-author's-documentation---------------

                         Software Library Information:

                    This disk copy provided as a service of

                           Public (software) Library

         We are not the authors of this program, nor are we associated
         with the author in any way other than as a distributor of the
         program in accordance with the author's terms of distribution.

         Please direct shareware payments and specific questions about
         this program to the author of the program, whose name appears
         elsewhere in  this documentation. If you have trouble getting
         in touch with the author,  we will do whatever we can to help
         you with your questions. All programs have been tested and do
         run.  To report problems,  please use the form that is in the
         file PROBLEM.DOC on many of our disks or in other written for-
         mat with screen printouts, if possible.  PsL cannot debug pro-
         programs over the telephone, though we can answer questions.

         Disks in the PsL are updated  monthly,  so if you did not get
         this disk directly from the PsL, you should be aware that the
         files in this set may no longer be the current versions. Also,
         if you got this disk from another vendor and are having prob-
         lems,  be aware that  some files may have become corrupted or
         lost by that vendor. Get a current, working disk from PsL.

         For a copy of the latest monthly software library newsletter
         and a list of the 2,000+ disks in the library, call or write

                           Public (software) Library
                               P.O.Box 35705 - F
                            Houston, TX 77235-5705

                                1-800-2424-PSL
                                 MC/Visa/AmEx

                          Outside of U.S. or in Texas
                          or for general information,
                              Call 1-713-524-6394

                          PsL also has an outstanding
                          catalog for the Macintosh.

